# H4609_PerCallQoSReport Class Reference

`#include <h4609.h>`

Collaboration diagram for H4609_PerCallQoSReport:

[legend]

## Public Types

| e_nonStandardData
| e_mediaChannelsQoS
| e_extensions
enum | OptionalFields { e_nonStandardData, e_mediaChannelsQoS, e_extensions }

## Public Member Functions

| H4609_PerCallQoSReport (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H225_NonStandardParameter | m_nonStandardData
H225_CallReferenceValue | m_callReferenceValue
H225_ConferenceIdentifier | m_conferenceID
H225_CallIdentifier | m_callIdentifier
H4609_ArrayOf_RTCPMeasures | m_mediaChannelsQoS
H4609_ArrayOf_Extension | m_extensions

## Member Enumeration Documentation

enum H4609_PerCallQoSReport::OptionalFields

Enumerator:

  e_nonStandardData |
  e_mediaChannelsQoS |
  e_extensions |

## Constructor & Destructor Documentation

H4609_PerCallQoSReport::H4609_PerCallQoSReport | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H4609_PerCallQoSReport::Clone | ( |  | ) | const

Comparison H4609_PerCallQoSReport::Compare | ( | const PObject & | obj | ) | const

PBoolean H4609_PerCallQoSReport::Decode | ( | PASN_Stream & | strm | ) |

void H4609_PerCallQoSReport::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H4609_PerCallQoSReport::GetDataLength | ( |  | ) | const

void H4609_PerCallQoSReport::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H225_CallIdentifier H4609_PerCallQoSReport::m_callIdentifier

H225_CallReferenceValue H4609_PerCallQoSReport::m_callReferenceValue

H225_ConferenceIdentifier H4609_PerCallQoSReport::m_conferenceID

H4609_ArrayOf_Extension H4609_PerCallQoSReport::m_extensions

H4609_ArrayOf_RTCPMeasures H4609_PerCallQoSReport::m_mediaChannelsQoS

H225_NonStandardParameter H4609_PerCallQoSReport::m_nonStandardData

The documentation for this class was generated from the following file:

- h4609.h